> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cnaught.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Category By Id

> Returns information about a project category



## OpenAPI

````yaml api-reference/openapi.yaml get /project-categories/{id}
openapi: 3.1.0
info:
  title: CNaught Carbon Credits API Documentation
  contact:
    email: support@cnaught.com
    name: CNaught
    url: https://cnaught.com/
  version: v1
  description: |
    Carbon Credits API Documentation
  termsOfService: https://cnaught.com/terms
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.cnaught.com/v1
    description: CNaught API
security:
  - ApiKey: []
tags:
  - name: Orders
    description: Endpoints for placing orders and retrieving information about orders
  - name: Quotes
    description: Endpoints for obtaining price quotes for orders
  - name: Climate Impact
    description: >-
      Endpoints for retrieving climate impact data and hosted public impact page
      configuration
  - name: Subaccounts
    description: Endpoints for creating and retrieving information about subaccounts
paths:
  /project-categories/{id}:
    parameters:
      - name: id
        in: path
        description: ID of the project category to return
        required: true
        schema:
          type: string
          examples:
            - XBfyJ8
    get:
      tags:
        - Projects
      summary: Get Project Category By Id
      description: Returns information about a project category
      operationId: GetProjectCategoryById
      responses:
        '200':
          description: Project Catetgory Details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Category'
              examples:
                Example:
                  value:
                    id: XBfyJ8
                    name: Oxford Type 1 - Emissions Reductions
                    description: >-
                      This category covers a wide range of projects that aim to
                      reduce and avoid emissions versus business as usual.
                      Examples include: renewable energy, destruction of
                      refrigerants that would otherwise be vented to the
                      atmosphere, and capture of methane emitted from landfills.
                    primary_image_url: >-
                      https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/6524ae6c0387291e029550f1_64076b4177668a2e4a6a1d31_peter-thomas-TRAYV5rsA9Y-unsplash%25201.jpeg
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/CategoryNotFound'
components:
  schemas:
    Category:
      type: object
      description: >-
        Details about a project category. Project categories are different
        classifications of projects - eg by Oxford Type.
      properties:
        id:
          type: string
          description: >-
            Identifier that can be used to retrieve the project category
            details.
          examples:
            - Fc35bt3
        name:
          type: string
          description: Name of the project category
          examples:
            - Oxford Type 1 - Emissions Reductions
        description:
          type: string
          description: Description of the project category
          examples:
            - >-
              This category covers a wide range of projects that aim to reduce
              and avoid emissions versus business as usual.
        primary_image_url:
          type:
            - string
            - 'null'
          description: URL of the primary image for the project category
          examples:
            - >-
              https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/6524ae6c0387291e029550f1_64076b4177668a2e4a6a1d31_peter-thomas-TRAYV5rsA9Y-unsplash%25201.jpeg
    BaseProblemDetails:
      type: object
      description: Problem details object returned on errors
      properties:
        title:
          type: string
          description: Short, human-readable summary of the problem
        details:
          type: string
          description: Longer, human-readable description of the problem
        type:
          type: string
          description: URI that identifies the problem type
        status:
          type: integer
          description: HTTP status code of the error
  responses:
    Unauthorized:
      description: Request Unauthorized
      content:
        application/problem+json:
          schema:
            properties:
              title:
                type: string
                description: Short, human-readable summary of the problem type
              status:
                type: integer
                description: HTTP status code of the error
          example:
            title: Authorization has been denied for this request
            status: 401
    CategoryNotFound:
      description: Category Not Found
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/BaseProblemDetails'
          example:
            type: https://api.cnaught.com/v1/errors/not-found
            title: Could not find category
            status: 404
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer

````